%define anolis_release .0.2
%define    _name    image-editor

Name:           deepin-image-editor
Version:        1.0.23
Release:        1%{anolis_release}%{?dist}
Summary:        Libraries of Deepin Image editor
License:        GPL-3.0-or-later
Group:          System/Libraries
URL:            https://github.com/linuxdeepin/image-editor
Source0:        https://github.com/linuxdeepin/image-editor/archive/%{version}/%{_name}-%{version}.tar.gz


BuildRequires:  deepin-gettext-tools
BuildRequires:  dtkcore >= 5.0.0
BuildRequires:  fdupes
BuildRequires:  freeimage-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  qt5-linguist
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  opencv-devel
BuildRequires:  pkgconfig(dtkcore)
BuildRequires:  pkgconfig(dtkwidget)
BuildRequires:  pkgconfig(dtkgui)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(libmediainfo)
BuildRequires:  libtiff-devel
BuildRequires:  desktop-file-utils
BuildRequires:  ffmpegthumbnailer-devel
BuildRequires:  cmake
BuildRequires:  make

%description
Libraries of Deepin Image editor


%package -n libimageviewer
Summary:        The library of Deepin Image editor
Requires:       %{name}
Obsoletes:      deepin-image-viewer

%description -n libimageviewer
This package contains the libraries for Deepin Image editor.


%package -n libimagevisualresult
Summary:        The library of Deepin Image editor
Requires:       %{name}
Obsoletes:      deepin-image-viewer

%description -n libimagevisualresult
This package contains the libraries for Deepin Image editor.


%package -n libimageviewer-devel
Summary:        The library of Deepin Image editor
Requires:       libimageviewer
Requires:       %{name}
Provides:       pkgconfig(libimageviewer)
Obsoletes:      deepin-image-viewer

%description -n libimageviewer-devel
The libimageviewer-devel package contains the header files and developer docs
for Deepin Image editor.


%package -n libimagevisualresult-devel
Summary:        The library of Deepin Image editor
Requires:       libimagevisualresult
Requires:       %{name}
Obsoletes:      deepin-image-viewer

%description -n libimagevisualresult-devel
The libimagevisualresult-devel package contains the header files and developer
docs for Deepin Image editor.


%prep
%autosetup -p1 -n %{_name}-%{version}

%build
%cmake -DCMAKE_BUILD_TYPE=Release
%make_build

%install
%make_install

%find_lang libimageviewer --with-qt
%fdupes %{buildroot}

%post -n libimageviewer -p /sbin/ldconfig
%postun -n libimageviewer -p /sbin/ldconfig

%post -n libimagevisualresult -p /sbin/ldconfig
%postun -n libimagevisualresult -p /sbin/ldconfig

%files
%doc README.md
%license LICENSE.txt

%files -n libimageviewer
%{_datadir}/libimageviewer/translations
%{_libdir}/libimageviewer.so.*

%files -n libimagevisualresult
%{_datadir}/libimagevisualresult/filter_cube/*.CUBE
%{_datadir}/libimagevisualresult/filter_cube/*.dat
%{_libdir}/libimagevisualresult.so.*

%files -n libimageviewer-devel
%{_includedir}/libimageviewer
%{_libdir}/libimageviewer.so
%{_libdir}/pkgconfig/libimageviewer.pc

%files -n libimagevisualresult-devel
%{_includedir}/libimagevisualresult
%{_libdir}/libimagevisualresult.so
%{_libdir}/pkgconfig/libimagevisualresult.pc


%changelog
* Fri Jan 12 2024 yangxianzhao <yangxianzhao@uniontech.com> - 1.0.23-1.0.2
- rebuild for qt5-qtbase

* Wed Sep 20 2023 yangxianzhao <yangxianzhao@uniontech.com> - 1.0.23-1.0.1
- rebuild for qt5-qtbase-5.15.3

* Thu Jan 12 2023 liweiganga <liweiganga@uniontech.com> - 1.0.23-1
- init: init package
